<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum Gender: string
{
    use HasValues;

    case FEMALE = 'female';
    case MALE = 'male';

    public function label(): string
    {
        return match ($this) {
            self::FEMALE => 'Perempuan',
            self::MALE => 'Laki-laki',
        };
    }
}
